<?php
class Fornecedor extends UtilObjeto {

	public function __construct($params=""){
		parent::__construct(strtolower(get_class()), $params);
	}

	public function excluir(){
		if($this->permiteExcluir()){
			return parent::excluir();
		}
		else{
			return false;
		}
	}
	
	public function permiteExcluir(){
		global $db;
		$sql = "SELECT count(*) total
				FROM   rz2_produto
				WHERE  id_fornecedor = ".$this->id;
		$rs = $db->query($sql);
		$rg = $rs->fetchRow();
		return ($rg['total'] > 0) ? false : true;
	}	

}
?>